### Signal

# Gtk TextBuffer::insert-text

#### Declaration

    void
    insert_text (
      GtkTextBuffer self,
      const GtkTextIter* location,
      gchar* text,
      gint len,
      gpointer user_data
    )

#### Description [src]

Emitted to insert text in a `GtkTextBuffer`.

Insertion actually occurs in the default handler.

Note that if your handler runs before the default handler it must not invalidate the `location` iter (or has to revalidate it). The default signal handler revalidates it to point to the end of the inserted text.

See also: gtk_text_buffer_insert(), gtk_text_buffer_insert_range().

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`location` | `GtkTextIter`
| Position to insert `text` in `textbuffer`.
| The data is owned by the caller of the function.
`text` | `gchar*`
| The UTF-8 text to be inserted.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`len` | `gint`
| Length of the inserted text in bytes.